<?php
saxue_includedb();
class saxuearticlereport extends saxueobjectdata {
		function saxuearticlereport() {
				$this -> initvar( "aid", SAXUE_TYPE_INT, 0, "文章ID", false, 11 );
				$this -> initvar( "reporttype", SAXUE_TYPE_INT, 0, "举报类型", false, 1 );
				$this -> initvar( "reporttime", SAXUE_TYPE_INT, 0, "举报时间", false, 10 );
				$this -> initvar( "reporttimes", SAXUE_TYPE_INT, 1, "举报次数", false, 4 );
				$this -> initvar( "url", SAXUE_TYPE_TXTBOX, "", "文章URL", false, 255 );
				$this -> initvar( "note", SAXUE_TYPE_TXTAREA, "", "举报说明", false, null );
				$this -> initvar( "ishandle", SAXUE_TYPE_INT, 0, "是否处理", false, 1 );
				$this -> initvar( "handletime", SAXUE_TYPE_INT, 0, "处理时间", false, 10 );
		} 
} 

class saxuearticlereporthandler extends saxueobjecthandler {
		function saxuearticlereporthandler( $_db = "" ) {
				$this -> saxueobjecthandler( $_db );
				$this -> basename = "articlereport";
				$this -> autoid = "aid";
				$this -> dbname = "article_report";
		} 
}